#
# spec file for package java-jre (Version 1.1.8v3)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  pdksh xf86 xpm
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam pdksh perl rpm xdevel xf86 xshared

Name:         java-jre
License:      Other License(s), see package
Group:        Development/Languages/Java
Provides:     javarunt SunJava1 java_runtime jre1.1.x
Obsoletes:    javarunt
Autoreqprov:  on
Summary:      Java Runtime Environment
Version:      1.1.8v3
Release:      291
Source0:      jre118_v3-glibc-2.1.3.tar.bz2
Source1:      config.tar.gz
Source2:      README.SuSE
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define libdir	 /usr/lib
%define	JAVA_DIR SunJava1-1.1.8
%prep
%setup -n jre118_v3 -a 1
#
cp %{S:2} .

%build

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}
cp -rd bin $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}
cp -rd lib $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}
find $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR} -name "*.so" -exec chmod 755 {} \;
#
# link with name without version
ln -sf %{JAVA_DIR} $RPM_BUILD_ROOT%{libdir}/SunJava1
#
# compactibility with newer JREs
ln -sf jre $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/bin/java
ln -sf jre $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/bin/i686/green_threads/java
ln -sf jre $RPM_BUILD_ROOT%{libdir}/%{JAVA_DIR}/bin/i686/native_threads/java
#
# SuSE config
install -m 755 -d $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 755 -d $RPM_BUILD_ROOT/sbin/conf.d/
install -m 644 sysconfig.java-%{name} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 755 SuSEconfig.java-jre $RPM_BUILD_ROOT/sbin/conf.d/

%post
%{fillup_only -an java}
#
mkdir -p var/adm/notify/messages
cat ./%{_defaultdocdir}/%{name}/README.SuSE >var/adm/notify/messages/java-jre-changes

%files
%doc COPYRIGHT LICENSE README*
%config /sbin/conf.d/SuSEconfig.java-jre
/var/adm/fillup-templates/sysconfig.java-%{name}
%{libdir}/%{JAVA_DIR}
%{libdir}/SunJava1

%description
This is the Java Runtime Environment that you can bundle
with your (possibly commercial) applications. It's everything
you need to run Java applications, but without the compiler and
debugger.
Please read /usr/share/doc/packages/javarunt/*

Authors:
--------
    Steve Byrne <sbb@gnu.ai.mit.edu>

SuSE series: pay


%changelog -n java-jre
* Tue Oct 07 2003 - draht@suse.de
- #32075: avoid symlink race condition (security)
* Fri Mar 01 2002 - pthomas@suse.de
- Fix README.SuSE
* Mon Feb 18 2002 - pmladek@suse.cz
- removed absolute links
- small fix in README.SuSE
* Tue Jan 08 2002 - pmladek@suse.cz
- JAVA_JRE_THREADS_TYPE moved to /etc/sysconfig/java
* Fri Nov 16 2001 - pmladek@suse.cz
- added old name to Provides and Obsoletes
* Tue Nov 13 2001 - pmladek@suse.cz
- updated to  version 1.1.8_v3
- package renamed from javarunt to java-jre
- main link to jre renamed from /usr/lib/jre
  to /usr/lib/SunJava1
- fixed SuSEconfig.java-jre to new main link
- SuSE files moved from patch to sources
- added README.SuSE
- post README.SuSE with mail to root
- added BuildRoot
- added link java->jre to make compatible with newer JREs
* Tue Apr 10 2001 - ro@suse.de
- added group tag
* Mon Sep 20 1999 - ro@suse.de
- added provides java_runtime
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 12 1999 - choeger@suse.de
- new version, v3
* Tue Feb 23 1999 - choeger@suse.de
- bugfix for SuSEconfig.javarunt
* Fri Feb 19 1999 - choeger@suse.de
- added SuSEconfig.javarunt to set up THREADS_TYPE
* Mon Nov 23 1998 - choeger@suse.de
- new version, 1.1.7v1a with native threads
* Mon Nov 17 1997 - choeger@suse.de
- fixes for the build-system
* Wed Oct 15 1997 - choeger@suse.de
- new package, 1.1.3v2 with spec file
* Mon Aug 18 1997 - choeger@suse.de
- new package, 1.1.3-v1
* Fri May 30 1997 - choeger@suse.de
- new version, 1.1.1v3
* Fri May 16 1997 - choeger@suse.de
- created new package, 1.1.1-v2
